function [AA3]=ConvertAA1to3(AA1)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuaySequenceLib
% Function: ConvertAA1to3
% Usage: [AA3]=ConvertAA3to1(AA1)
% Description: Convert 1 alphabet code of amino acids to 3 alphabet code
% Last Edited: 04 Aug 2005
% See Also: fasta
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if nargin<1
    disp('Usage: [AA3]=ConvertAA1to3(AA1)');
    return;
end

switch (upper(AA1))
   	case 'A'
        AA3=cellstr('ALA');
    case 'R'
        AA3=cellstr('ARG');
    case 'N'
        AA3=cellstr('ASN');
    case 'D'
        AA3=cellstr('ASP');
    case 'C'
        AA3=cellstr('CYS');
    case 'Q'
        AA3=cellstr('GLN');
    case 'E'
        AA3=cellstr('GLU');
    case 'G'
        AA3=cellstr('GLY');
    case 'H'
        AA3=cellstr('HIS');
    case 'I'
        AA3=cellstr('ILE');
    case 'L'
        AA3=cellstr('LEU');
    case 'K'
        AA3=cellstr('LYS');
    case 'M'
        AA3=cellstr('MET');
    case 'F'
        AA3=cellstr('PHE');
    case 'P'
        AA3=cellstr('PRO');
    case 'S'
        AA3=cellstr('SER');
    case 'T'
        AA3=cellstr('THR');
    case 'W'
        AA3=cellstr('TRP');
    case 'Y'
        AA3=cellstr('TYR');        
    case 'V'
        AA3=cellstr('VAL');                
    case 'FR.'
        AA3=cellstr('Fr.');
    case 'STOP'
        AA3=cellstr('Stop');
    otherwise
        AA3=cellstr('Unknown');
end