function [AA1]=ConvertAA3to1(AA3)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuaySequenceLib
% Function: ConvertAA3to1
% Usage: [AA1]=ConvertAA3to1(AA3)
% Description: Convert 3 alphabet code of amino acids to 1 alphabet code
% Last Edited: 04 Aug 2005
% See Also: fasta
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if nargin<1
    disp('Usage: [AA1]=ConvertAA3to1(AA3)');
    return;
end

switch (upper(AA3))
   	case 'ALA'
        AA1=cellstr('A');
    case 'ARG'
        AA1=cellstr('R');
    case 'ASN'
        AA1=cellstr('N');
    case 'ASP'
        AA1=cellstr('D');
    case 'CYS'
        AA1=cellstr('C');
    case 'GLN'
        AA1=cellstr('Q');
    case 'GLU'
        AA1=cellstr('E');
    case 'GLY'
        AA1=cellstr('G');
    case 'HIS'
        AA1=cellstr('H');
    case 'ILE'
        AA1=cellstr('I');
    case 'LEU'
        AA1=cellstr('L');
    case 'LYS'
        AA1=cellstr('K');
    case 'MET'
        AA1=cellstr('M');
    case 'PHE'
        AA1=cellstr('F');
    case 'PRO'
        AA1=cellstr('P');
    case 'SER'
        AA1=cellstr('S');
    case 'THR'
        AA1=cellstr('T');
    case 'TRP'
        AA1=cellstr('W');
    case 'TYR'
        AA1=cellstr('Y');        
    case 'VAL'
        AA1=cellstr('V');                
    case 'FR.'
        AA1=cellstr('Fr.');
    case 'STOP'
        AA1=cellstr('Stop');
    otherwise
        AA1=cellstr('Unknown');
end