function [dist]=EuclideanDistance(x,y)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuayGeneralLib
% Function: EuclideanDistance
% Usage: [dist]=EuclideanDistance(x,y)
% Description: Return a single value for 
%           euclidean distance between x and y
% Last Edited: 04 Aug 2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin~=2
    disp('Usage: [dist]=EuclideanDistance(x,y)');
    return
end

len=length(x);
if len~=length(y)
    disp('Error(EuclideanDistance): len(X)~=len(Y)');
    return;
end

dist=0.;
for i=1:len
    dist=dist+(x(i)-y(i))*(x(i)-y(i));
end

dist=sqrt(dist);
