function [sig,sig_len]=ExtractGetSignal(filename)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuaySignalLib
% Function: ExtractGetSignal
% Usage: [sig,sig_len]=ExtractGetSignal(filename)
% Description: Read signal generated by a C program GetSignal
% Last Edited: 04 Aug 2005
% See Also: GetSignalOneStop, GetRawSignal, plotwave, EuclideanDistance
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if nargin<1
    disp('Usage: [sig,sig_len]=ExtractGetSignal(filename)');
    return;
end

fid=fopen(filename,'rt');
if (fid==-1)
    disp('Error opening input file');
    return;
end

tline=fgetl(fid);
a=sscanf(tline,'%d');
seq_num=a(1);
index_num=a(2);


for i=1:seq_num
    tline=fgetl(fid);
    [a,b]=strtok(tline);
    len=sscanf(a,'%d');
    a=sscanf(b,'%f');
    if (length(a)/len~=index_num)
        disp('Error in input file'); return;
    end
    sig_len(i)=len;
    id=0;
    for j=1:index_num
        for k=1:len
            id=id+1;
            sig(i,j,k)=a(id);
        end
    end
end

fclose(fid);