function [profile]=GetProfile(signal)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function: GetProfile
% Usage: [profile]=GetProfile(signal)
% Description: input a 3 dimension signal, N genes x M indices x L length,
%           and the function returns a M profiles each of length L which
%           is the average
% Author: Chua Gek Huey
% Date: 8 Sept 2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin~=1
    disp('Usage: [profile]=GetProfile(signal)');
    return;
end

profile(1:size(signal,2),1:size(signal,3))=0;

for i=1:size(signal,2)
    for j=1:size(signal,3)
        for k=1:size(signal,1)
            profile(i,j)=profile(i)+signal(k,i,j);
        end
        profile(i,j)=profile(i,j)/size(signal,1);
    end
end

