function [STRING,LEN,NAME] = fasta(filename,max_gene)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuaySequenceLib
% Function: FASTA
% Usage: [STRING,LEN,NAME] = fasta('filename_in_FASTA',max_gene);
% Description: Read protein sequences in FASTA format
% Last Edited: 04 Aug 2005
% See Also: remove_homo, remove_homo_d, GetWater, GenerateMutant
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin <1
   disp('Usage: [STRING,LEN,NAME] = fasta(''filename_in_fasta_format'',max_gene)')
   return
end

if nargin==1
    max_gene=10000;
end

%filename='human_protein_sequences.fasta';
fid = fopen(filename);
if fid ==-1
    disp('Error opening input file');
    return;
end


flag=0;
id=1;
while ~feof(fid)
    if (id<max_gene)
    tline=fgetl(fid);
    if ~isempty(tline)
    if (tline(1)~='>')
        if (flag==0)
            flag=1;
            seq_tmp=tline;
        else
            seq_tmp=strcat(seq_tmp,tline);
        end
    else
        if (flag==1)
            LEN(id)=length(seq_tmp);
            STRING(id,1:LEN(id))=seq_tmp(1:LEN(id));
            id=id+1;
        end
        NAME(id)=cellstr(tline(2:length(tline)));
        flag=0;
    end
    end
    else
        break;
    end
end

LEN(id)=length(seq_tmp);
STRING(id,1:LEN(id))=seq_tmp(1:LEN(id));

fclose(fid);


